Package org.apache.sysds.runtime.instructions.ooc

# Class OOCWatchdog

java.lang.Object
org.apache.sysds.runtime.instructions.ooc.OOCWatchdog

public final class OOCWatchdog extends Object
Watchdog to help debug OOC streams/tasks that never close.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`WATCH`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addEvent(String id, String eventMsg)`
`static void`
`registerClose(String id)`
`static void`
`registerOpen(String id, String desc, String context, OOCStreamable<?> stream)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WATCH

public static final boolean WATCH

See Also:
  - Constant Field Values

## Method Details

### registerOpen

public static void registerOpen(String id, String desc, String context, OOCStreamable<?> stream)

### addEvent

public static void addEvent(String id, String eventMsg)

### registerClose

public static void registerClose(String id)